Galya Docs
API referenceentity/parent_id/link

Link a child entity to a parent and mean-pool the parent

POST
/entity/{parent_id}/link

Creates a directional link from entity_id (child) to {parent_id} (parent), then recomposes the parent representation (weighted mean pool / subspace). Default rel is about.

Authorization

ApiKeyAuth
X-API-Key<token>

In: header

Path Parameters

parent_id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/entity/string/link" \  -H "Content-Type: application/json" \  -d '{    "entity_id": "string"  }'
{
  "parent_id": "string",
  "entity_id": "string",
  "rel": "string",
  "weight": 0,
  "representation": "point",
  "subspace_rank": 0
}
{
  "error": "string",
  "code": "string"
}
{
  "error": "string",
  "code": "string"
}